Skip to content

# nlohmann::basic_json::operator""_json

    json operator "" _json(const char* s, std::size_t n);

This operator implements a user-defined string literal for JSON objects. It can be used by adding `_json` to a string literal and returns a `json` object if no parse error occurred.

## Parameters

`s` (in)
  a string representation of a JSON object
`n` (in)
  length of string `s`

## Return value

`json` value parsed from `s`

## Exceptions

The function can throw anything that `parse(s, s+n)` would throw.

## Complexity

Linear.

## Examples

Example

The following code shows how to create JSON values from string literals.

    #include <iostream>
    #include <iomanip>
    #include <nlohmann/json.hpp>

    using json = nlohmann::json;

    int main()
    {
        json j = R"( {"hello": "world", "answer": 42} )"_json;

        std::cout << std::setw(2) << j << '\n';
    }

Output:

    {
      "answer": 42,
      "hello": "world"
    }

## Version history

- Added in version 1.0.0.

Back to top